org.apache.commons.ssl.asn1

## Class ASN1OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.commons.ssl.asn1.DEROutputStream
      - - org.apache.commons.ssl.asn1.ASN1OutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, DERTags

    public class ASN1OutputStream
    extends DEROutputStream

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ASN1OutputStream(java.io.OutputStream os)`

### Method Summary

Methods
`void` `writeObject(java.lang.Object obj)`

### Methods inherited from class org.apache.commons.ssl.asn1.DEROutputStream

`write, write, writeEncoded, writeNull`

### Methods inherited from class java.io.FilterOutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASN1OutputStream

    public ASN1OutputStream(java.io.OutputStream os)

### Method Detail

#### writeObject

    public void writeObject(java.lang.Object obj)
                     throws java.io.IOException

Overrides:
  `writeObject` in class `DEROutputStream`
Throws:
  `java.io.IOException`